/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :demandeparcoursform.ui.h

	DESCRIPTION :	Fichier contenant l'implémentation de la classe 
					DemandeParcoursForm, qui demande si on veut créer un nouveau 
					parcours ou modifier un existant

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse

	DATE DE CRÉATION : 2004-3-17

	MISES À JOUR :

===============================================================================*/





/*------------------------------------------------------------------
  Fonction :	DemandeParcoursForm::init

  Description :	Fonction qui agit comme un constructeur

  Paramètres :

  Valeur retournée :	void : 

  Par : 2004-3-17 Martin Bisson, Anne-Marie Buki, Mylène Denis & Jean-François Pérusse
  MAJ: 
------------------------------------------------------------------*/
void DemandeParcoursForm::init()
{
    // Va chercher la liste des terrains existants et la rajoute dans la Combo Box
    fstream Fic;
    QDir LeDir("./parcours");
    LeDir.setFilter(QDir::Files);
    char Typefic[9], NbTrous[3];;
    QStringList FicExistants = LeDir.entryList();
    QString NbTerrains = "";
    
    
    for (QStringList::Iterator it = FicExistants.begin(); it != FicExistants.end(); ++it)
    {
	if (Fic.fail()) Fic.clear();
	Fic.open((QString("parcours/")+(*it)).latin1(), ios::in);
	if(!Fic.fail())
	{
	    //lecture de l'en-tete et de 9 ou 18 trous
	    Fic.getline(Typefic,9);
	    Fic.getline(NbTrous,3);
	    //si l'en-tete est bien carmonip 
	    if (QString(Typefic)=="carmonip")
	    {
		//si 9 trous est sélectionné
		if (NbTrous[0] == '9')
		{
		    NbTerrains = " <9 trous>";
		    //ajouter les items de 9 trous a la liste
		    existantComboBox->insertItem((*it) + NbTerrains);
		}
		//si «18 trous» est sélectionné
		else if (NbTrous[0]=='1' && NbTrous[1]=='8')
		{
		    NbTerrains = " <18 trous>";
		    //ajouter les items de 18 trous a la liste
		    existantComboBox->insertItem((*it) + NbTerrains);
		}
	    }
	    Fic.close();
	}
	NbTerrains = "";		
    }
    if (existantComboBox->count() == 0)
    {
	existantRadioButton->setDisabled(true);
    }
    
    adjustSize();
}
